  function Rp()
        local ns = Level.FindCutScene( 'gmenu' );
        CutScene.Reset(ns);
        CutScene.Play(ns,30.0);
  end;

  function Level.OnLoaded( cutsceneId )

        System:SetVar('r_glow', true );
        System:SetVar('r_glow_r', 1.5 );

        Level.AddCinematicCamera( 'Levels\\GameMenu\\camera.scm' );

        -- Initialize scene

        local ns = Level.NewCutScene( 'gmenu' , 0.0, 2932.0 );

        CutScene.SetCamera( ns, 'Levels\\GameMenu\\camera.scm' );
        CutScene.SetLooped( ns, true );

        CutScene.Activate( ns );
        CutScene.Play( ns, 15.0 );

        --Level.NextLevel = "demoday";

        if ( cutsceneId == 1 or Level.NextLevel == nil or Level.NextLevel == "" ) then
           Level.SetHudOverlay( "MainMenu" );
           Level.AddMusic( Level.MUSIC_MOOD_DEFAULT, "sounds\\music\\mainmenu.ogg" );      
        else           
           Level.SetHudOverlay( "Equipment", Level.NextLevel );
           Level.EnableAlarmSound(true);
           Level.NextLevel = nil;
        end;

        --Level.SetHudEffect("noise_small", true );
        Level.SetHudFadeIn( 1.0 );

  end;

  function Level.OnOverlayMenu( menuId )

       
  end;

  function Level.OnCancelBriefing()

    Level.EnableAlarmSound(false);

    if ( Level.SetMusic( Level.MUSIC_MOOD_DEFAULT, 0.5 ) == false ) then
      Level.AddMusic( Level.MUSIC_MOOD_DEFAULT, "sounds\\music\\mainmenu.ogg" );      
      Level.SetMusic( Level.MUSIC_MOOD_DEFAULT, 0.5 );
    end;

  end;

  function Level.OnFinishCutScene( cutscene )

  end;

  function Level.OnNewGame( levelName )

     if ( levelName == "demoday" ) then
       return "rolik_lubyanka",1;
     elseif ( levelName == "posilka" ) then
       return "rolik_lubyanka",2;
     elseif ( levelName == "krasavitca" ) then
       return "rolik_lubyanka",4;     
     elseif ( levelName == "hotel" ) then
       return "rolik_lubyanka",7;     
     elseif ( levelName == "rasplata" ) then
       return "rolik_kabinet",1;
     elseif ( levelName == "projecty" ) then
       return "rolik_lubyanka",9;
     elseif ( levelName == "razvedshkola" ) then
       return "rolik_mashina",1;
     elseif ( levelName == "svalka" ) then
       return "rolik_svalka",1;
     elseif ( levelName == "izyatie" ) then
       return "rolik_lubyanka",13;
     elseif ( levelName == "posolstvo" ) then
       return "rolik_lubyanka",14;
     end;
 
     return "",0;

  end;